| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRedBlackTree< K >::Node Struct Reference

A node in the tree. More...

`#include <csutil/redblacktree.h>`

List of all members.

## Public Member Functions
NodeColor | GetColor () const
Node * | GetParent () const
| Node ()
void | SetColor (NodeColor color)
void | SetParent (Node *p)
| ~Node ()
## Public Attributes
uint8 | key [sizeof(K)]
Node * | left
Node * | right

## Detailed Description

### template<typename K>
struct csRedBlackTree< K >::Node

A node in the tree.

Definition at line 52 of file redblacktree.h.

The documentation for this struct was generated from the following file:

- csutil/redblacktree.h